package com.base.appzxhy

import com.base.appzxhy.utils.AppPreferences
import java.util.Locale

object ConstObject {

    var isGuided = false
        get() {
            return AppPreferences.getInstance().getBoolean("isGuided", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isGuided", value, true)
        }

    var appLanguageSp: String = Locale.getDefault().language
        get() {
            return AppPreferences.getInstance().getString("languageSp", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("languageSp", value, true)
        }

    var appLanguageCountrySp: String = Locale.getDefault().country
        get() {
            return AppPreferences.getInstance().getString("languageCountrySp", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("languageCountrySp", value, true)
        }


}